--- src/mat/impls/aij/mpi/superlu_dist/superlu_dist.c.orig	2023-09-29 11:04:42
+++ src/mat/impls/aij/mpi/superlu_dist/superlu_dist.c	2023-12-28 22:53:36
@@ -611,7 +611,7 @@ static PetscErrorCode MatLUFactorSymbolic_SuperLU_DIST
   PetscMPIInt        size, mpiflg;
   PetscBool          flg, set;
   const char        *colperm[]     = {"NATURAL", "MMD_AT_PLUS_A", "MMD_ATA", "METIS_AT_PLUS_A", "PARMETIS"};
-  const char        *rowperm[]     = {"NOROWPERM", "LargeDiag_MC64", "LargeDiag_AWPM", "MY_PERMR"};
+  const char        *rowperm[]     = {"NOROWPERM", "LargeDiag_MC64", "LargeDiag_HWPM", "MY_PERMR"};
   const char        *factPattern[] = {"SamePattern", "SamePattern_SameRowPerm", "DOFACT"};
   MPI_Comm           comm;
   PetscSuperLU_DIST *context = NULL;
@@ -635,7 +635,7 @@ static PetscErrorCode MatLUFactorSymbolic_SuperLU_DIST
       lu->options.RowPerm = LargeDiag_MC64;
       break;
     case 2:
-      lu->options.RowPerm = LargeDiag_AWPM;
+      lu->options.RowPerm = LargeDiag_HWPM;
       break;
     case 3:
       lu->options.RowPerm = MY_PERMR;
@@ -856,8 +856,8 @@ static PetscErrorCode MatView_Info_SuperLU_DIST(Mat A,
   case LargeDiag_MC64:
     PetscCall(PetscViewerASCIIPrintf(viewer, "  Row permutation LargeDiag_MC64\n"));
     break;
-  case LargeDiag_AWPM:
-    PetscCall(PetscViewerASCIIPrintf(viewer, "  Row permutation LargeDiag_AWPM\n"));
+  case LargeDiag_HWPM:
+    PetscCall(PetscViewerASCIIPrintf(viewer, "  Row permutation LargeDiag_HWPM\n"));
     break;
   case MY_PERMR:
     PetscCall(PetscViewerASCIIPrintf(viewer, "  Row permutation MY_PERMR\n"));
@@ -1020,7 +1020,7 @@ + -mat_superlu_dist_r <n> - number of rows in processo
 . -mat_superlu_dist_3d - use 3d partition, requires SuperLU_DIST 7.2 or later
 . -mat_superlu_dist_d <n> - depth in 3d partition (valid only if `-mat_superlu_dist_3d`) is provided
 . -mat_superlu_dist_equil - equilibrate the matrix
-. -mat_superlu_dist_rowperm <NOROWPERM,LargeDiag_MC64,LargeDiag_AWPM,MY_PERMR> - row permutation
+. -mat_superlu_dist_rowperm <NOROWPERM,LargeDiag_MC64,LargeDiag_HWPM,MY_PERMR> - row permutation
 . -mat_superlu_dist_colperm <NATURAL,MMD_AT_PLUS_A,MMD_ATA,METIS_AT_PLUS_A,PARMETIS> - column permutation
 . -mat_superlu_dist_replacetinypivot - replace tiny pivots
 . -mat_superlu_dist_fact <SamePattern> - (choose one of) `SamePattern`, `SamePattern_SameRowPerm`, `DOFACT`
